// TypeScript Version: 3.5

import {Node} from 'unist'

/**
 * Is there a match for the given selector in the Unist tree
 *
 * @param selector CSS-like selector
 * @param tree Unist node or tree of nodes to search
 */
declare function matches(selector: string, tree: Node): boolean

/**
 * Find first Node that matches selector
 *
 * @param selector CSS-like selector
 * @param tree Unist node or tree of nodes to search
 */
declare function select(selector: string, tree: Node): Node | null

/**
 * Find all Nodes that match selector
 *
 * @param selector CSS-like selector
 * @param tree Unist node or tree of nodes to search
 */
declare function selectAll(selector: string, tree: Node): Node[]

export {matches, select, selectAll}
